/*
 * mq.c: caz de test pentru cozi de mesaje
 * IPC - SO - Laborator 5
 */

#include <fcntl.h>
#include <sys/stat.h>
#include <mqueue.h>
#include <stdio.h>

int main(void)
{
	mqd_t mq;
	char c;
	int ret;

	mq = mq_open("/my_mqueue", O_CREAT | O_RDWR, 0644, NULL);
	if (mq == (mqd_t)-1) {
		perror("mq_open");
		return -1;
	}

	for (;;) {
		ret = mq_send(mq, "item", 5, 1);
		if (ret < 0) {
			perror("mq_send");
			return -1;
		}
		printf("Press any key to continue (E/e exit)\n");
		c = getchar();
		if (c == 'e' || c == 'E')
			break;
	}

	mq_close(mq);
	mq_unlink("/my_mqueue");

	return 0;
}
