/*
 * sem.c: caz de test pentru semafoare POSIX
 * IPC - SO - Laborator 5
 */

#include <fcntl.h>
#include <sys/stat.h>
#include <semaphore.h>
#include <stdio.h>

int main(void)
{
	sem_t *sem;
	int ret;
	char c;

	sem = sem_open("/my_sem", O_CREAT, 0644, 0);
	if (!sem) {
		perror("sem_open");
		return -1;
	}

	for (;;) {
		ret = sem_post(sem);
		if (ret < 0) {
			perror("sem_post");
			return -1;
		}
		printf("Press any key to continue (E/e to exit)\n");
		c = getchar();
		if (c == 'e' || c == 'E')
			break;
	}

	sem_close(sem);
	sem_unlink("/my_sem");

	return 0;
}
