/*
 * util.h : macro-uri si constante utile 
 * IPC - SO - Lab 5 - ex 1
 */

#ifndef __UTIL_H__
#define __UTIL_H__


/**
 * identificator pentru semafor
 */
#define SEM_NAME 	"/my_sem1"

/**
 * functie macro utila pentru simplificarea codului 
 * de tratare a erorilor
 */
#define CHECK(x) \
	do { \
		if (!(x)) { \
			printf("%s:%d: ", __func__, __LINE__); \
			perror(#x); \
			exit(EXIT_FAILURE); \
		} \
	} while (0) \


#endif

/* util.h */
